#
# Conditional build:
%bcond_with	sn	# startup-notification support
%bcond_without	wifi	# wireless applet
#
Summary:	Matchbox Panel
Summary(pl.UTF-8):	Panel dla środowiska Matchbox
Name:		matchbox-panel
Version:	0.9.3
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://projects.o-hand.com/matchbox/sources/matchbox-panel/0.9/%{name}-%{version}.tar.bz2
# Source0-md5:	56d1807636f3919e22e51896ab7ccd2e
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gcc4.patch
Patch2:		libm.patch
URL:		http://projects.o-hand.com/matchbox/
BuildRequires:	gettext-tools
%{?with_wifi:BuildRequires:	libiw-devel}
BuildRequires:	libmatchbox-devel >= 1.6
BuildRequires:	pkgconfig
%{?with_sn:BuildRequires:	startup-notification-devel}
Requires:	libmatchbox >= 1.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matchbox Panel.

%description -l pl.UTF-8
Panel dla środowiska Matchbox.

%package wireless
Summary:	Panel based wireless monitor
Summary(pl.UTF-8):	Siedzący w panelu monitor sieci bezprzewodowej
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description wireless
Panel based wireless monitor.

%description wireless -l pl.UTF-8
Siedzący w panelu monitor sieci bezprzewodowej.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-acpi-linux \
	--enable-dnotify \
	--enable-nls \
	%{?with_sn:--enable-startup-notification}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not installed if built with acpi instead of apm
install applets/dotdesktop/mb-applet-battery.desktop $RPM_BUILD_ROOT%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{es_ES,es}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{fi_FI,fi}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{fr_FR,fr}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/matchbox-panel
%attr(755,root,root) %{_bindir}/mb-applet-xterm-wrapper.sh
%attr(755,root,root) %{_bindir}/mb-applet-battery
%attr(755,root,root) %{_bindir}/mb-applet-clock
%attr(755,root,root) %{_bindir}/mb-applet-menu-launcher
%attr(755,root,root) %{_bindir}/mb-applet-launcher
%attr(755,root,root) %{_bindir}/mb-applet-system-monitor
%{_desktopdir}/mb-applet-battery.desktop
%{_desktopdir}/mb-applet-clock.desktop
%{_desktopdir}/mb-applet-menu-launcher.desktop
%{_desktopdir}/mb-applet-system-monitor.desktop
%{_desktopdir}/mb-launcher-term.desktop
%{_pixmapsdir}/*.png

%if %{with wifi}
%files wireless
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mb-applet-wireless
%{_desktopdir}/mb-applet-wireless.desktop
%endif
%changelog
* Sat Nov 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/matchbox-panel.git;a=log;h=master

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> d2e66b7
- wireless applet needs libm
- rel 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d14377b
- updated gettext BR

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> de13005
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1189f03
- converted to UTF-8

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 07e5019
- new

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 4e06ebb
- fix for gcc 4

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> cf37621
- fixes +pl

